| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Attrib::DataHolderArray Class Reference
AttributeEngine

An array of attribute data holders. More...

`#include <attribdataholderarray.h>`

Inheritance diagram for Attrib::DataHolderArray:
[legend]

## Public Member Functions
| DataHolderArray (const ObjectSet< DataHolder > &)
| DataHolderArray (const ObjectSet< DataHolder > &dh, int sidx, int dim0sz, int dim1sz)
| ~DataHolderArray ()
float | get (int i0, int i1, int i2) const override
void | getAll (float *) const override
void | getAll (ValueSeries< float > &vs) const override
const Array3DInfo & | info () const override
void | set (int i0, int i1, int i2, float val) override
Public Member Functions inherited from Array3D< float >
virtual float *** | get3DData ()
virtual const float *** | get3DData () const
float | getND (const int *pos) const override
void | setND (const int *pos, float v) override
Public Member Functions inherited from ArrayND< T >
virtual | ~ArrayND ()
virtual bool | canChangeNrDims () const
virtual bool | canSetInfo () const
virtual bool | canSetStorage () const
virtual T * | get1D (const int *)
virtual const T * | get1D (const int *) const
virtual int | get1DDim () const
virtual void | getAll (T *ptr) const
virtual void | getAll (ValueSeries< T > &vs) const
T * | getData ()
const T * | getData () const
int | getSize (int dim) const
ValueSeries< T > * | getStorage ()
const ValueSeries< T > * | getStorage () const
virtual bool | isEmpty () const
virtual bool | isOK () const
virtual bool | isSettable () const
int | nrDims () const
virtual void | setAll (T)
virtual void | setData (const T *)
virtual void | setEmpty ()
virtual bool | setInfo (const ArrayNDInfo &)
virtual void | setND (const int *, T)=0
virtual bool | setStorage (ValueSeries< T > *s)
od_uint64 | totalSize () const
bool | validPos (int *pos) const

## Protected Attributes
ObjectSet< DataHolder > | dh_
Array3DInfoImpl | info_
int | seriesidx_
char | type_

## Additional Inherited Members
Protected Member Functions inherited from ArrayND< T >
virtual const T * | getData_ () const
virtual const ValueSeries< T > * | getStorage_ () const

## Detailed Description

An array of attribute data holders.

<>

## Constructor & Destructor Documentation

## ◆ DataHolderArray() [1/2]

Attrib::DataHolderArray::DataHolderArray | ( | const ObjectSet< DataHolder > & |  | ) |

## ◆ DataHolderArray() [2/2]

Attrib::DataHolderArray::DataHolderArray | ( | const ObjectSet< DataHolder > & | dh,
|  | int | sidx,
|  | int | dim0sz,
|  | int | dim1sz )

## ◆ ~DataHolderArray()

Attrib::DataHolderArray::~DataHolderArray | ( |  | ) |

## Member Function Documentation

## ◆ get()

float Attrib::DataHolderArray::get | ( | int | i0,
|  | int | i1,
|  | int | i2 ) const
| override virtual

Implements Array3D< float >.

## ◆ getAll() [1/2]

void Attrib::DataHolderArray::getAll | ( | float * |  | ) | const
| override

## ◆ getAll() [2/2]

void Attrib::DataHolderArray::getAll | ( | ValueSeries< float > & | vs | ) | const
| override

## ◆ info()

const Array3DInfo & Attrib::DataHolderArray::info | ( |  | ) | const
| inline override virtual

Implements Array3D< float >.

## ◆ set()

void Attrib::DataHolderArray::set | ( | int | i0,
|  | int | i1,
|  | int | i2,
|  | float | val )
| override virtual

Implements Array3D< float >.

## Member Data Documentation

## ◆ dh_

ObjectSet<DataHolder> Attrib::DataHolderArray::dh_
| protected

## ◆ info_

Array3DInfoImpl Attrib::DataHolderArray::info_
| protected

## ◆ seriesidx_

int Attrib::DataHolderArray::seriesidx_
| protected

## ◆ type_

char Attrib::DataHolderArray::type_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025